Bug 1372673

Summary: checking "Manually attach subscriptions after registration" hangs the initial-setup screen in "registering" state for ever
Product: Red Hat Enterprise Linux 7 Reporter: Rehana <redakkan>
Component: subscription-managerAssignee: Chris Snyder <csnyder>
Status: CLOSED ERRATA QA Contact: John Sefler <jsefler>
Severity: high Docs Contact:
Priority: high    
Version: 7.3CC: bkearney, csnyder, lmiksik, redakkan, skallesh
Target Milestone: rcKeywords: Regression, TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-03 20:31:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
registering none

Description Rehana 2016-09-02 10:46:24 UTC
Created attachment 1197118 [details]
registering

Description of problem:
Observed that when choose to register from initial setup with "Manually attach subscriptions after registration" option enabled , Registration is stuck in "fetching list of possible environments" state, after few mins in log files observed that the subscriptions are getting attached though the system  has the default auto-attach and cert check value 

note: this is observed on rhel73 snap 2 client variant 

Version-Release number of selected component (if applicable):
subscription-manager: 1.17.11-1.el7
python-rhsm: 1.17.7-1.el7

How reproducible:
always

Steps to Reproduce:
1.Launch initial setup ( systemctl enable initial-setup-graphical.service and reboot ) 
2.choose subscription-manager register with checking "Manually attach subscriptions after registration"
3. click register and observed that registration is stuck ( pfa: registering.png)
4.Watch the rhsm.log and /var/log/messages for few mins

Actual results:
Observed that subscriptions is getting attached in the back end, but the UI is still in "fetching list of possible environments" state

Expected results:
With "Manually attach subscriptions after registration", registration should be completed successfully with out attaching subscriptions 

Additional info:

var/log/messages
Sep  2 15:48:36 dhcp35-174 dbus[625]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Sep  2 15:48:36 dhcp35-174 dbus-daemon: dbus[625]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Sep  2 15:48:36 dhcp35-174 dbus[625]: [system] Successfully activated service 'org.freedesktop.problems'
Sep  2 15:48:36 dhcp35-174 dbus-daemon: dbus[625]: [system] Successfully activated service 'org.freedesktop.problems'
Sep  2 15:48:42 dhcp35-174 systemd: Started Session 2 of user root.
Sep  2 15:48:42 dhcp35-174 systemd-logind: New session 2 of user root.
Sep  2 15:48:42 dhcp35-174 systemd: Starting Session 2 of user root.
Sep  2 15:48:42 dhcp35-174 subscription-manager: Registered system with identity: 2214a50b-1a87-4697-92b9-08abdd1c5f2b
Sep  2 15:48:42 dhcp35-174 subscription-manager: Registered system with identity: 2214a50b-1a87-4697-92b9-08abdd1c5f2b
Sep  2 15:50:01 dhcp35-174 systemd: Started Session 3 of user root.
Sep  2 15:50:01 dhcp35-174 systemd: Starting Session 3 of user root.
Sep  2 15:50:12 dhcp35-174 chronyd[631]: Source 202.156.0.34 replaced with 209.208.79.69
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for 'Employee SKU' contract '10998694'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'JBoss Enterprise Web Platform'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for Middleware)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Virtualization for IBM Power'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for Power LE EUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Power, big endian - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Certificate System'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'MRG Management'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Compute Node) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Mobile Application Platform'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Infrastructure Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Real Time'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenStack'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Fast Datapath'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Hardware Certification Test Suite'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Certificate System with Advanced Access'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat JBoss A-MQ Clients'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 for HPC Compute Node High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'JBoss Enterprise Application Platform'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for System Z'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise JBoss FUSE add-on'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'MRG Grid Execute'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Workstation)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux EUS Compute Node'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Power, big endian'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Storage Console Node'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat JBoss A-MQ Interconnect'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Ceph Storage MON'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Collections (for RHEL Workstation)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Application Node Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Scalable File System (for RHEL Workstation)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'JBoss Enterprise Application Platform - ELS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 for IBM POWER High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise JBoss A-MQ add-on'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux EUS Compute Node High Performance Networking'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Gluster Storage Server for On-premise'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for Power BE EUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Storage Console'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Atomic Host HTB'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Ceph Storage Calamari'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Gluster Storage Nagios Server'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenStack Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for IBM z Systems - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Directory Server'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'MRG Realtime'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise MRG Messaging 3 for RHEL 7'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Infrastructure'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Test Suite 5 (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Resilient Storage (for IBM z Systems)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Availability (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Power, little endian'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux EUS Compute Node Scalable File System'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 for IBM z Systems High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for Power LE'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat CloudForms Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Developer Toolset (for RHEL Workstation)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'JBoss Enterprise Web Server'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for SAP'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for IBM z Systems'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Atomic Host'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Real Time for NFV'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 Desktop High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Server) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Storage'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Collections (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Insights'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Application Node'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Scalable File System (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Container Platform'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenStack Beta Certification Test Suite'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Performance Networking (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Kernel Derivative Works for HPC for Power Systems'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Workstation'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Gluster Storage Management Console (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Client)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server - TUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise MRG Messaging'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Availability (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Atomic Host Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'MRG Grid'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP HANA for Power LE EUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Release End2End Test'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 Workstation High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Collections Beta (for RHEL Client)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Load Balancer (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat S-JIS Support (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Virtualization'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Container Development Kit'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP HANA - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 Resilient Storage High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Certification (for RHEL Server) from RHUI'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Load Balancer (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for Power BE'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 Server High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 6 Server HTB'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Certification (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Single Sign-On'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Fast Datapath Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Container Images'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat QuickStart Cloud Installer'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Collections Beta (for RHEL Workstation)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Compute Node)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Power, little endian - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat CloudForms'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat S-JIS Support (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Developer Toolset (for RHEL Server EUS)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Desktop'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'dotNET on RHEL Beta (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 Load Balancer High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Resilient Storage (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Developer Toolset (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server - Extended Life Cycle Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Container Images Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Ceph Storage'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux High Availability (for IBM z Systems)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP Applications for System Z EUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server for ARM Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Client Tools Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise Client Tools'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for SAP Hana'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat JBoss Core Services'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat EUCJP Support (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'dotNET on RHEL (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 7 High Availability High Touch Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Oracle Java (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Software Collections Beta (for RHEL Server)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node)'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Scalable File System (for RHEL Server) - AUS'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Container Images HTB'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux 6 Workstation HTB'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux for Scientific Computing'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Virtualization Host'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'OLD Red Hat Enterprise Linux Server for ARM Development Preview'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Kernel Derivative Works for Bluegene/Q'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'RHEL for SAP HANA for Power LE'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise JBoss EAP add-on Beta'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat OpenShift Enterprise JBoss EAP add-on'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Ceph Storage OSD'
Sep  2 15:50:39 dhcp35-174 subscription-manager: Added subscription for product 'Red Hat Enterprise Linux Server for ARM'
Sep  2 15:50:43 dhcp35-174 systemd: Started Flexible Branding Service.
Sep  2 15:50:43 dhcp35-174 systemd: Starting Flexible Branding Service...
Sep  2 15:51:34 dhcp35-174 systemd: Started Session 4 of user root.
Sep  2 15:51:34 dhcp35-174 systemd-logind: New session 4 of user root.
Sep  2 15:51:34 dhcp35-174 systemd: Starting Session 4 of user root.
Sep  2 15:51:34 dhcp35-174 dbus[625]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Sep  2 15:51:34 dhcp35-174 dbus-daemon: dbus[625]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Sep  2 15:51:34 dhcp35-174 dbus[625]: [system] Successfully activated service 'org.freedesktop.problems'
Sep  2 15:51:34 dhcp35-174 dbus-daemon: dbus[625]: [system] Successfully activated service 'org.freedesktop.problems'

rhsm.log
=====

[root@dhcp35-174 ~]# tail -f /var/log/rhsm/rhsm.log 
2016-09-02 15:41:47,008 [INFO] subscription-manager:4086:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2016-09-02 15:41:49,592 [INFO] subscription-manager:4086:MainThread @managercli.py:395 - Server Versions: {'rules-version': '5.15.1', 'candlepin': '0.9.51.15-1', 'server-type': 'This system is currently not registered.'}
2016-09-02 15:44:26,765 [INFO] subscription-manager:4153:MainThread @managercli.py:384 - Client Versions: {'python-rhsm': '1.17.7-1.el7', 'subscription-manager': '1.17.11-1.el7'}
2016-09-02 15:44:26,766 [INFO] subscription-manager:4153:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-09-02 15:44:26,767 [INFO] subscription-manager:4153:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2016-09-02 15:44:26,767 [INFO] subscription-manager:4153:MainThread @managercli.py:359 - Consumer Identity name=None uuid=None
2016-09-02 15:44:38,002 [INFO] subscription-manager:4164:MainThread @managercli.py:384 - Client Versions: {'python-rhsm': '1.17.7-1.el7', 'subscription-manager': '1.17.11-1.el7'}
2016-09-02 15:44:38,003 [INFO] subscription-manager:4164:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-09-02 15:44:38,003 [INFO] subscription-manager:4164:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2016-09-02 15:44:38,003 [INFO] subscription-manager:4164:MainThread @managercli.py:359 - Consumer Identity name=None uuid=None
2016-09-02 15:49:53,226 [INFO] rhsmcertd-worker:2525:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-09-02 15:49:56,557 [INFO] rhsmcertd-worker:2525:MainThread @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs=68 future_products= valid_until=None
2016-09-02 15:49:56,562 [WARNING] rhsmcertd-worker:2525:MainThread @healinglib.py:97 - Found invalid entitlements for today: 2016-09-02 10:19:54.465501+00:00
2016-09-02 15:50:29,042 [INFO] rhsmcertd-worker:2525:MainThread @connection.py:830 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-09-02 15:50:39,007 [INFO] rhsmcertd-worker:2525:MainThread @entcertlib.py:131 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [4020321634405027740]
Added (new)
  [sn:4020321634405027740 (JBoss Enterprise Web Platform,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Oracle Java (for Middleware),) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Virtualization for IBM Power,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (RHEL for SAP Applications for Power LE EUS,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux for Power, big endian - Extended Update Support,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Certificate System,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (MRG Management,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Oracle Java (for RHEL Compute Node) - Extended Update Support,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Mobile Application Platform,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat OpenShift Enterprise Infrastructure Beta,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux for Real Time,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat OpenStack,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux Fast Datapath,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Hardware Certification Test Suite,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Certificate System with Advanced Access,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat JBoss A-MQ Clients,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux 7 for HPC Compute Node High Touch Beta,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (JBoss Enterprise Application Platform,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (RHEL for SAP Applications for System Z,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat OpenShift Enterprise JBoss FUSE add-on,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (MRG Grid Execute,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Oracle Java (for RHEL Workstation),) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux EUS Compute Node,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux for Power, big endian,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Storage Console Node,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat JBoss A-MQ Interconnect,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Ceph Storage MON,) @ /etc/pki/entitlement/4020321634405027740.pem]
  [sn:4020321634405027740 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER),) @ /etc/pki/entitlement/4020321634405027740.pem]
<snip>

Comment 1 Shwetha Kallesh 2016-09-02 10:58:34 UTC
Also if you enter invalid credentials at first attempt and then register with valid credentials and "check manually attach subscription" option , no subscription is attached and nothing is logged in rhsm.log file as well

[root@dhcp35-195 ~]# tail -f /var/log/rhsm/rhsm.log 
Total repo updates: 0
Updated
    <NONE>
Added (new)
    <NONE>
Deleted
    <NONE>
2016-09-02 16:19:03,808 [INFO] rhsmd:2919:MainThread @rhsmd:261 - rhsmd started
2016-09-02 16:22:31,221 [ERROR] rhsmcertd-worker:2473:MainThread @rhsmcertd-worker:45 - Either the consumer is not registered or the certificates are corrupted. Certificate update using daemon failed.
2016-09-02 16:22:31,493 [ERROR] rhsmcertd-worker:2474:MainThread @rhsmcertd-worker:45 - Either the consumer is not registered or the certificates are corrupted. Certificate update using daemon failed.


[root@dhcp35-195 ~]# subscription-manager identity
system identity: 63bf8843-4e2a-4e7e-bd89-9b8f88cf45fc
name: dhcp35-195.lab.eng.blr.redhat.com
org name: Quality Assurance
org ID: 711497


[root@dhcp35-195 ~]# subscription-manager list --consumed
No consumed subscription pools to list

Comment 6 Rehana 2016-09-08 10:53:03 UTC
Rested on : 

python-rhsm-1.17.9-1.el7.x86_64
python-rhsm-certificates-1.17.9-1.el7.x86_64
subscription-manager-1.17.14-1.el7.x86_64
subscription-manager-initial-setup-addon-1.17.14-1.el7.x86_64
subscription-manager-gui-1.17.14-1.el7.x86_64


Observed that subscription manager registration from initial-setup with "Manually attach subscriptions after registration" option is successfully completed and NO subscription were attached.

Marking the bug as verified!!

Comment 8 errata-xmlrpc 2016-11-03 20:31:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html